# module Devise::Models::Registerable::ClassMethods

### Public Instance Methods

new_with_session(params, session) click to toggle source

A convenience method that receives both parameters and session to initialize a user. This can be used by OAuth, for example, to send in the user token and be stored on initialization.

By default discards all information sent by the session by calling new with params.

    # File lib/devise/models/registerable.rb, line 15
    def new_with_session(params, session)
      new(params)
    end